import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  officeName: SortOrderSchema.optional(),
  receptionistName: SortOrderSchema.optional(),
  dentistName: SortOrderSchema.optional(),
  phoneNumber: SortOrderSchema.optional(),
  email: SortOrderSchema.optional(),
  fax: SortOrderSchema.optional(),
  streetAddress: SortOrderSchema.optional(),
  city: SortOrderSchema.optional(),
  state: SortOrderSchema.optional(),
  zipCode: SortOrderSchema.optional()
}).strict();
export const OfficeContactMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.OfficeContactMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeContactMaxOrderByAggregateInput>;
export const OfficeContactMaxOrderByAggregateInputObjectZodSchema = makeSchema();
